# Class webdriver.WebDriver.Timeouts

code »

An interface for managing timeout behavior for WebDriver instances.

## Constructor

webdriver.WebDriver.Timeouts ( driver )

Parameters

driver: `!webdriver.WebDriver`
  The parent driver.

Show:PublicProtectedPrivate

## Instance Methods

code » implicitlyWait ( ms ) ⇒ `!webdriver.promise.Promise.<void>`

Specifies the amount of time the driver should wait when searching for an element if it is not immediately present.

When searching for a single element, the driver should poll the page until the element has been found, or this timeout expires before failing with a `bot.ErrorCode.NO_SUCH_ELEMENT` error. When searching for multiple elements, the driver should poll the page until at least one element has been found or this timeout has expired.

Setting the wait timeout to 0 (its default value), disables implicit waiting.

Increasing the implicit wait timeout should be used judiciously as it will have an adverse effect on test run time, especially when used with slower location strategies like XPath.

Parameters

ms: `number`
  The amount of time to wait, in milliseconds.

Returns

A promise that will be resolved when the implicit wait timeout has been set.

code » pageLoadTimeout ( ms ) ⇒ `!webdriver.promise.Promise.<void>`

Sets the amount of time to wait for a page load to complete before returning an error. If the timeout is negative, page loads may be indefinite.

Parameters

ms: `number`
  The amount of time to wait, in milliseconds.

Returns

A promise that will be resolved when the timeout has been set.

code » setScriptTimeout ( ms ) ⇒ `!webdriver.promise.Promise.<void>`

Sets the amount of time to wait, in milliseconds, for an asynchronous script to finish execution before returning an error. If the timeout is less than or equal to 0, the script will be allowed to run indefinitely.

Parameters

ms: `number`
  The amount of time to wait, in milliseconds.

Returns

A promise that will be resolved when the script timeout has been set.

## Instance Properties

code » driver_ : `!webdriver.WebDriver`